| OpendTect 8.0

Loading...
Searching...
No Matches
Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
PosInfo::CubeSliceSet Class Reference
Basic

A class to hold a sorted set of Inline, Crossline and Z slices from a given TrcKeyZSampling. Each slice is defined by its relative position in tkzs_. More...

`#include <posinfo.h>`

## Protected Member Functions
bool | getTKZSForCrossline (int crl, TrcKeyZSampling &) const
bool | getTKZSForInline (int inl, TrcKeyZSampling &) const
bool | getTKZSForZSlice (float z, TrcKeyZSampling &) const

## Protected Attributes
TypeSet< int > | crlidxs_
TypeSet< int > | inlidxs_
const TrcKeyZSampling | tkzs_
TypeSet< int > | zidxs_

## Private Member Functions
| CubeSliceSet (const TrcKeyZSampling &)
virtual | ~CubeSliceSet ()
bool | addCrossline (int crl)
bool | addInline (int inl)
bool | addSlice (const TrcKeyZSampling &tkzs)
bool | addZSlice (float z)
bool | getCrossline (int crl, TrcKeyZSampling &) const
bool | getInline (int inl, TrcKeyZSampling &) const
bool | getSliceAtIndex (int index, OD::SliceType, TrcKeyZSampling &) const
bool | getZSlice (float z, TrcKeyZSampling &) const
bool | hasCrossline (int crl) const
bool | hasInline (int inl) const
bool | hasZSlice (float z) const
bool | isEmpty () const
int | nrCrosslines () const
int | nrInlines () const
int | nrSlices () const
int | nrZSlices () const
bool | removeCrossline (int crl)
bool | removeInline (int inl)
bool | removeZSlice (float z)
void | setEmpty ()

## Detailed Description

A class to hold a sorted set of Inline, Crossline and Z slices from a given TrcKeyZSampling. Each slice is defined by its relative position in tkzs_.

<>

## Constructor & Destructor Documentation

## ◆ CubeSliceSet()

PosInfo::CubeSliceSet::CubeSliceSet | ( | const TrcKeyZSampling & |  | ) |
| private

## ◆ ~CubeSliceSet()

virtual PosInfo::CubeSliceSet::~CubeSliceSet | ( |  | ) |
| private virtual

## Member Function Documentation

## ◆ addCrossline()

bool PosInfo::CubeSliceSet::addCrossline | ( | int | crl | ) |
| private

## ◆ addInline()

bool PosInfo::CubeSliceSet::addInline | ( | int | inl | ) |
| private

## ◆ addSlice()

bool PosInfo::CubeSliceSet::addSlice | ( | const TrcKeyZSampling & | tkzs | ) |
| private

## ◆ addZSlice()

bool PosInfo::CubeSliceSet::addZSlice | ( | float | z | ) |
| private

## ◆ getCrossline()

bool PosInfo::CubeSliceSet::getCrossline | ( | int | crl,
|  | TrcKeyZSampling & | ) const
| private

## ◆ getInline()

bool PosInfo::CubeSliceSet::getInline | ( | int | inl,
|  | TrcKeyZSampling & | ) const
| private

## ◆ getSliceAtIndex()

bool PosInfo::CubeSliceSet::getSliceAtIndex | ( | int | index,
|  | OD::SliceType | ,
|  | TrcKeyZSampling & | ) const
| private

## ◆ getTKZSForCrossline()

bool PosInfo::CubeSliceSet::getTKZSForCrossline | ( | int | crl,
|  | TrcKeyZSampling & | ) const
| protected

## ◆ getTKZSForInline()

bool PosInfo::CubeSliceSet::getTKZSForInline | ( | int | inl,
|  | TrcKeyZSampling & | ) const
| protected

## ◆ getTKZSForZSlice()

bool PosInfo::CubeSliceSet::getTKZSForZSlice | ( | float | z,
|  | TrcKeyZSampling & | ) const
| protected

## ◆ getZSlice()

bool PosInfo::CubeSliceSet::getZSlice | ( | float | z,
|  | TrcKeyZSampling & | ) const
| private

## ◆ hasCrossline()

bool PosInfo::CubeSliceSet::hasCrossline | ( | int | crl | ) | const
| private

## ◆ hasInline()

bool PosInfo::CubeSliceSet::hasInline | ( | int | inl | ) | const
| private

## ◆ hasZSlice()

bool PosInfo::CubeSliceSet::hasZSlice | ( | float | z | ) | const
| private

## ◆ isEmpty()

bool PosInfo::CubeSliceSet::isEmpty | ( |  | ) | const
| private

## ◆ nrCrosslines()

int PosInfo::CubeSliceSet::nrCrosslines | ( |  | ) | const
| private

## ◆ nrInlines()

int PosInfo::CubeSliceSet::nrInlines | ( |  | ) | const
| private

## ◆ nrSlices()

int PosInfo::CubeSliceSet::nrSlices | ( |  | ) | const
| private

## ◆ nrZSlices()

int PosInfo::CubeSliceSet::nrZSlices | ( |  | ) | const
| private

## ◆ removeCrossline()

bool PosInfo::CubeSliceSet::removeCrossline | ( | int | crl | ) |
| private

## ◆ removeInline()

bool PosInfo::CubeSliceSet::removeInline | ( | int | inl | ) |
| private

## ◆ removeZSlice()

bool PosInfo::CubeSliceSet::removeZSlice | ( | float | z | ) |
| private

## ◆ setEmpty()

void PosInfo::CubeSliceSet::setEmpty | ( |  | ) |
| private

## Member Data Documentation

## ◆ crlidxs_

TypeSet<int> PosInfo::CubeSliceSet::crlidxs_
| protected

## ◆ inlidxs_

TypeSet<int> PosInfo::CubeSliceSet::inlidxs_
| protected

## ◆ tkzs_

const TrcKeyZSampling PosInfo::CubeSliceSet::tkzs_
| protected

## ◆ zidxs_

TypeSet<int> PosInfo::CubeSliceSet::zidxs_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025